Arch Remove/es: Difference between revisions

From FreeCAD Documentation
(Spanish translation)
(Updating to match new version of source page)
Line 1: Line 1:
{{GuiCommand/es|Name=Arch Remove|Workbenches=[[Arch Module/es|Entorno de Arquitectura]]|MenuLocation=Arquitectura -> Sustraer|SeeAlso=[[Arch Add/es|Añadir]]}}
{{GuiCommand|Name=Arch Remove|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch -> Remove|SeeAlso=[[Arch Add]]}}


==Descripción==
==Description==


The Remove tools allows you to do 2 kinds of operations:
La herramienta Sustraer te permite hacer dos tipos de operaciones:
* Eliminar un subcomponente de un objeto de Arquitectura, por ejemplo eliminar un cubo que se ha añadido a un muro, como en el ejemplo de [[Arch Add/es|Añadir]]
* Remove a subcomponent from an Arch object, for example remove a box that has been added to a wall, like in the [[Arch Add]] example
* Restar un objeto basado en [[Part Module/es|formas]] de un objeto de Arquitectura como un [[Arch Wall/es|muro]] o [[Arch Structure/es|estructura]]
* Subtract a [[Part Module|shape]]-based object from an Arch component such as a [[Arch Wall|wall]] or [[Arch Structure|structure]]


[[Image:Arch Remove example.jpg]]
[[Image:Arch Remove example.jpg|600px]]


In the above image, a box is being subtracted from a wall
En la imagen superior, un cubo es sustraído de un muro


==Utilización==
==How to use==
# Selecciona un subcomponente de un objeto de Arquitectura, '''o''':
# Selecciona objeto(s) a ser sustraídos, y luego el componente de Arquitectura del cual se desean sustraer (el componente de Arquitectura debe ser el último que selecciones)
# Presiona el botón [[Image:Arch Remove.png|16px]] '''Sustraer'''


# Select a subcomponent inside an Arch object, '''or''':
==Programación==
# Select object(s) to be subtracted, then the Arch component from which they must be subtracted (the arch component must be the last thing you selected)
# Press the {{KEY|[[Image:Arch Remove.png|16px]] '''Remove'''}} button


==Scripting==
La herramientas Eliminar se puede utilizar en [[macros/es|macros]] y desde la consola de Python mediante la utilización de las siguientes funciones:

'''removeComponents (objectsList,[hostObject])''': Elimina los componentes dados de sus padres.
Si se especifica un objeto huésped, esta función tratará de añadir los componente como agujeros.

Ejemplo:


The Remove tool can by used in [[macros]] and from the python console by using the following function:
'''removeComponents (objectsList,[hostObject])'''
* removes the given component or the components from the given list from their parents. If a host object is specified, this function will try adding the components as holes to the host object instead.
Example:
<syntaxhighlight>
import FreeCAD, Arch, Draft, Part
import FreeCAD, Arch, Draft, Part
line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
Line 31: Line 30:
Arch.addComponents(box,wall)
Arch.addComponents(box,wall)
Arch.removeComponents(box)
Arch.removeComponents(box)
</syntaxhighlight>

<languages/>

{{languages/es | {{en|Arch_Remove}} {{de|Arch_Remove/de}} {{fr|Arch_Remove/fr}} {{it|Arch_Remove/it}} {{jp|Arch_Remove/jp}} {{se|Arch_Remove/se}} }}

Revision as of 08:38, 29 November 2013

Arch Remove

Menu location
Arch -> Remove
Workbenches
Arch
Default shortcut
None
Introduced in version
-
See also
Arch Add

Description

The Remove tools allows you to do 2 kinds of operations:

  • Remove a subcomponent from an Arch object, for example remove a box that has been added to a wall, like in the Arch Add example
  • Subtract a shape-based object from an Arch component such as a wall or structure

In the above image, a box is being subtracted from a wall

How to use

  1. Select a subcomponent inside an Arch object, or:
  2. Select object(s) to be subtracted, then the Arch component from which they must be subtracted (the arch component must be the last thing you selected)
  3. Press the Remove button

Scripting

The Remove tool can by used in macros and from the python console by using the following function:

removeComponents (objectsList,[hostObject])
  • removes the given component or the components from the given list from their parents. If a host object is specified, this function will try adding the components as holes to the host object instead.

Example:

 import FreeCAD, Arch, Draft, Part
 line = Draft.makeWire([FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,2,0)])
 wall = Arch.makeWall(line)
 box = Part.makeBox(1,1,1)
 Arch.addComponents(box,wall)
 Arch.removeComponents(box)